Subject: Re: [PATCH net-next v2 2/3] net: stmmac: loongson: Use generic PCI suspend/resume routines

From: Yao Zi <[email-masked]>
Date: Fri, 31 Oct 2025 04:24:05 +0000

On Thu, Oct 30, 2025 at 09:30:35AM +0000, Russell King (Oracle) wrote:
> On Thu, Oct 30, 2025 at 08:38:12AM +0100, Maxime Chevallier wrote:
> > Hi,
> > 
> > On 30/10/2025 05:19, Yao Zi wrote:
> > > Convert glue driver for Loongson DWMAC controller to use the generic
> > > platform suspend/resume routines for PCI controllers, instead of
> > > implementing its own one.
> > > 
> > > Signed-off-by: Yao Zi <[email-masked]>
> > > ---
> > >  drivers/net/ethernet/stmicro/stmmac/Kconfig   |  1 +
> > >  .../ethernet/stmicro/stmmac/dwmac-loongson.c  | 36 ++-----------------
> > >  2 files changed, 4 insertions(+), 33 deletions(-)
> > > 
> > > diff --git a/drivers/net/ethernet/stmicro/stmmac/Kconfig b/drivers/net/ethernet/stmicro/stmmac/Kconfig
> > > index 598bc56edd8d..4b6911c62e6f 100644
> > > --- a/drivers/net/ethernet/stmicro/stmmac/Kconfig
> > > +++ b/drivers/net/ethernet/stmicro/stmmac/Kconfig
> > > @@ -373,6 +373,7 @@ config DWMAC_LOONGSON
> > >  	default MACH_LOONGSON64
> > >  	depends on (MACH_LOONGSON64 || COMPILE_TEST) && STMMAC_ETH && PCI
> > >  	depends on COMMON_CLK
> > > +	depends on STMMAC_LIBPCI
> > 
> > If we go with a dedicated module for this, "select STMMAC_LIBPCI" would
> > make more sense here I think. The same applies for the next patch.
> 
> Yes, we need it to be this way around at least initially so that
> STMMAC_LIBPCI gets merged into people's configs.
> 
> I'd eventually suggest going the other way.
> 
> We already have:
> 
> config STMMAC_PLATFORM
>         tristate "STMMAC Platform bus support"
> 
> if STMMAC_PLATFORM
> 
> ... platform based drivers ...
> 
> endif
> 
> ... three PCI based drivers ...
> 
> I'd suggest we do:
> 
> config STMMAC_LIBPCI
> 	tristate "STMMAC PCI bus support"
> 	depends on PCI
> 	...
> 
> if STMMAC_LIBPCI
> 
> ... PCI based drivers ...
> 
> endif

Okay, will take this scheme instead.

> There's no need to make everything depend on STMMAC_ETH, there's an
> outer "if STMMAC_ETH" around all the platforms already.

Okay. Yes, this dependency is redundant. Should we remove the
unnecessary depends from other Kconfig options, too? STMMAC_SELFTESTS,
STMMAC_PLATFORM, DWMAC_INTEL_PLAT, DWMAC_INTEL, DWMAC_LOONGSON and
STMMAC_PCI are all enclosed by "if STMMAC_ETH" but carry this redundant
dependency, too.

Regards,
Yao Zi

> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!